Skip to main content
`Ctrl`+`K`

# ISGlobalToLocalMappingMode

Indicates mapping behavior if global indices are missing

## Synopsis

    #include "petscis.h"
    typedef enum {
      IS_GTOLM_MASK,
      IS_GTOLM_DROP
    } ISGlobalToLocalMappingMode;

## Values

- `IS_GTOLM_MASK` - missing global indices are masked by mapping them to a local index of -1

- `IS_GTOLM_DROP` - missing global indices are dropped

## See Also

`ISGlobalToLocalMappingApplyBlock()`, `ISGlobalToLocalMappingApply()`

## Level

beginner

## Location

include/petscis.h

## Examples

src/vec/is/is/tutorials/ex4.c
src/vec/is/is/tutorials/ex5.c

## Examples

src/vec/is/is/tutorials/ex4.c
src/vec/is/is/tutorials/ex5.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages